
        function openUrls() {
            var urlsTextarea = document.getElementById("urls");
            var urls = urlsTextarea.value.split('\n').filter(url => url.trim() !== '');

            // Clear previous error messages
            document.getElementById("errorMessages").innerHTML = '';

            if (urls.length === 0) {
                // Show error message if the textarea is blank
                document.getElementById("errorMessages").innerHTML = '<p>Please enter at least one URL.</p>';
                return; // Stop execution
            }

            var isValid = true;
            var invalidUrls = [];

            for (var i = 0; i < urls.length; i++) {
                var url = urls[i].trim();
                if (!isValidUrl(url)) {
                    isValid = false;
                    invalidUrls.push(url);
                }
            }

            if (isValid) {
                for (var i = 0; i < urls.length; i++) {
                    var url = urls[i].trim();
                    window.open(url, '_blank');
                }
            } else {
                // Display error messages for invalid URLs
                var errorMessage = '';
                if (invalidUrls.length > 0) {
                    errorMessage += '<p>The following URLs are in the wrong format:</p>';
                    errorMessage += '<ul>';
                    for (var i = 0; i < invalidUrls.length; i++) {
                        errorMessage += '<li>' + invalidUrls[i] + '</li>';
                    }
                    errorMessage += '</ul>';
                }
                document.getElementById("errorMessages").innerHTML = errorMessage;
            }
        }

        function isValidUrl(url) {
            // Simple URL validation using regex
            var pattern = /^(https?|ftp):\/\/[^\s/$.?#].[^\s]*$/i;
            return pattern.test(url);
        }

        function updateLineNumbers() {
            var urlsTextarea = document.getElementById("urls");
            var lines = urlsTextarea.value.split('\n').filter(line => line.trim() !== ''); // Filter out blank lines
            var lineNumbers = '';

            for (var i = 1; i <= lines.length; i++) {
                lineNumbers += i + '\n';
            }

            document.getElementById("lineNumbers").setAttribute("data-line", lineNumbers);
            document.getElementById("totalLines").textContent = lines.length;
        }
   
