
        // Function to generate stylish WhatsApp text with smileys
        function generateStylishText(event) {
            event.preventDefault(); // Prevent form submission

            const messageInput = document.getElementById('message');
            const message = messageInput.value;

            const fontSelect = document.getElementById('fontSelect');
            const selectedFont = fontSelect.value;

            // Smiley mapping
            const smileys = {
                offer: '🎉',
                  love: '❤️',
                  laugh: '😄',
                  sad: '😔',
                  angry: '😡',
                  happy: '😃',
                  cool: '😎',
                  wink: '😉',
                  cry: '😢',
                  thumbsUp: '👍',
                  thumbsDown: '👎',
                  heartEyes: '😍',
                  shocked: '😱',
                  surprised: '😯',
                  thinking: '🤔',
                  nerd: '🤓',
                  party: '🎈',
                  yay: '🙌',
                  peace: '✌️',
                  star: '⭐️',
                  fire: '🔥',
                  music: '🎵',
                  sun: '☀️',
                  moon: '🌙',
                  coffee: '☕️',
                  cake: '🍰',
                  flower: '🌺',
                  rainbow: '🌈',
                  umbrella: '☂️',
                  cat: '🐱',
                  dog: '🐶',
                  bird: '🐦',
                  fish: '🐠',
                  panda: '🐼',
                  alien: '👽',
                  ghost: '👻',
                  skull: '💀',
                  robot: '🤖',
                  rocket: '🚀',
                  car: '🚗',
                  bike: '🚲',
                  airplane: '✈️',
                  ship: '⛵️',
                  soccer: '⚽️',
                  basketball: '🏀',
                  baseball: '⚾️',
                  tennis: '🎾',
                  golf: '⛳️',
                  pool: '🎱',
                  dice: '🎲',
                  film: '🎬',
                  microphone: '🎤',
                  guitar: '🎸',
                  violin: '🎻',
                  book: '📚',
                  envelope: '✉️',
                  phone: '📱',
                  laptop: '💻',
                  television: '📺',
                  clock: '⏰',
                  lock: '🔒',
                  key: '🔑',
                  money: '💰',
                  gift: '🎁',
                  medal: '🏅',
                  trophy: '🏆',
                  smile: '😊',
                  winkHeart: '😘',
                  laughingTears: '😂',
                  facepalm: '🤦‍♂️',
                  faceWithMonocle: '🧐',
                  dancing: '💃',
                  clapping: '👏',
                  faceWithSunglasses: '😎',
                  faceWithThermometer: '🤒',
                  dizzy: '😵',
                  sleeping: '😴',
                  confused: '😕',
                  faceWithSymbolsOverMouth: '🤬',
                  mindBlown: '🤯',
                  faceWithHandOverMouth: '🤭',
                  robotFace: '🤖',
                  smilingFaceWithHorns: '😈',
                  skullAndCrossbones: '☠️',
                  huggingFace: '🤗',
                  faceWithRaisedEyebrow: '🤨'
            };

            // Generate stylish message with appended smileys
            let stylishMessage = message;
            for (const [smiley, emoji] of Object.entries(smileys)) {
                const regex = new RegExp(smiley, 'gi');
                stylishMessage = stylishMessage.replace(regex, `$&${emoji}`);
            }

            // Apply additional styling if needed
            if (selectedFont === 'bold') {
                stylishMessage = `*${stylishMessage}*`;
            } else if (selectedFont === 'italic') {
                stylishMessage = `_${stylishMessage}_`;
            }

            // Display the generated stylish message
            const outputDiv = document.getElementById('output');
            outputDiv.innerText = stylishMessage;

            // Show the copy button
            const copyButton = document.getElementById('copyButton');
            copyButton.style.display = 'inline-block';
        }

        // Function to copy the generated stylish text to the clipboard
        function copyToClipboard() {
            const outputDiv = document.getElementById('output');
            const textToCopy = outputDiv.innerText;

            // Create a temporary input element
            const tempInput = document.createElement('textarea');
            tempInput.value = textToCopy;
            document.body.appendChild(tempInput);

            // Copy the text from the input element
            tempInput.select();
            document.execCommand('copy');

            // Remove the temporary input element
            document.body.removeChild(tempInput);

            // Update the copy button text
            const copyButton = document.getElementById('copyButton');
            copyButton.innerText = 'Copied!';
            copyButton.disabled = true;

            // Reset the button text after 2 seconds
            setTimeout(function() {
                copyButton.innerText = 'Copy';
                copyButton.disabled = false;
            }, 2000);
        }

        // Add event listener to the form
        const messageForm = document.getElementById('messageForm');
        messageForm.addEventListener('submit', generateStylishText);